Page MenuHomePhabricator

RESTBase-Cassandra wide partitions: period of 2016-10-17 to 2016-10-24
Closed, ResolvedPublic

Description

The spreadsheet linked below contains the top 23 entries from this weeks report. Several are for wikidata entities in mobileapps, which I propose to ignore for now pending T149114: Reconsider wikidata support in the REST API. My strawman proposal would be to delete all of these partitions, and to blacklist the ones I indicated with comments.

https://docs.google.com/spreadsheets/d/1Cn2z-DPbmjigTHTW3kmuPhn5Tre-yMU6v4jnTMIv6Mo

See also: T94121: Understand and solve wide row issues for frequently edited and re-rendered pages

Event Timeline

Eevans created this task.Oct 26 2016, 3:33 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 26 2016, 3:33 PM
Eevans moved this task from Backlog to In-Progress on the Cassandra board.Oct 26 2016, 8:43 PM

I propose to execute the following:

1DELETE FROM "local_group_wikipedia_T_parsoid_dataW4ULtxs1oMqJ".data WHERE "_domain" = 'sv.wikipedia.org' AND key = 'Användare:Lsjbot/Anomalier-PRIVAT';
2DELETE FROM "local_group_wikipedia_T_parsoid_dataW4ULtxs1oMqJ".data WHERE "_domain" = 'fr.wikipedia.org' AND key = 'Utilisateur:ZéroBot/Log/Erreurs';
3DELETE FROM "local_group_wikipedia_T_parsoid_dataW4ULtxs1oMqJ".data WHERE "_domain" = 'ca.wikipedia.org' AND key = 'Usuari:TronaBot/log:Activitat_reversors_per_hores';
4DELETE FROM "local_group_wikipedia_T_parsoid_dataW4ULtxs1oMqJ".data WHERE "_domain" = 'de.wikipedia.org' AND key = 'Wikipedia_Diskussion:Hauptseite/Schon_gewusst';
5DELETE FROM "local_group_wikipedia_T_parsoid_dataW4ULtxs1oMqJ".data WHERE "_domain" = 'sv.wikipedia.org' AND key = 'Användare:Lsjbot/Namnkonflikter-PRIVAT';
6DELETE FROM "local_group_wikipedia_T_parsoid_html".data WHERE "_domain" = 'sv.wikipedia.org' AND key = 'Användare:Lsjbot/Namnkonflikter-PRIVAT';
7DELETE FROM "local_group_wikipedia_T_parsoid_html".data WHERE "_domain" = 'ru.wikipedia.org' AND key = 'Википедия:Форум/Вниманию_участников';
8DELETE FROM "local_group_wikipedia_T_parsoid_html".data WHERE "_domain" = 'es.wikipedia.org' AND key = 'Wikipedia:Tablón_de_anuncios_de_los_bibliotecarios/Portal/Archivo/Miscelánea/Actual';
9DELETE FROM "local_group_wikipedia_T_parsoid_dataW4ULtxs1oMqJ".data WHERE "_domain" = 'zh.wikipedia.org' AND key = 'Wikipedia:新条目推荐/分类存档/未分类';
10DELETE FROM "local_group_wikipedia_T_parsoid_html".data WHERE "_domain" = 'zh.wikipedia.org' AND key = 'Wikipedia:关注度/提报';
11DELETE FROM "local_group_wikipedia_T_parsoid_dataW4ULtxs1oMqJ".data WHERE "_domain" = 'ru.wikipedia.org' AND key = 'Википедия:Список_Википедий/TableBig';
12DELETE FROM "local_group_wikipedia_T_parsoid_dataW4ULtxs1oMqJ".data WHERE "_domain" = 'ceb.wikipedia.org' AND key = 'Gumagamit:Lsjbot/Anomalier-PRIVAT';
13DELETE FROM "local_group_default_T_mobileapps_lead".data WHERE "_domain" = 'www.wikidata.org' AND key = 'Q27335409';
14DELETE FROM "local_group_wikipedia_T_parsoid_html".data WHERE "_domain" = 'fr.wikipedia.org' AND key = 'Wikipédia:Forum_des_nouveaux/relecture';
15DELETE FROM "local_group_default_T_mobileapps_lead".data WHERE "_domain" = 'www.wikidata.org' AND key = 'Q27335792';
16DELETE FROM "local_group_wikipedia_T_parsoid_html".data WHERE "_domain" = 'de.wikipedia.org' AND key = 'Benutzer:Wartungsstube/Musik';
17DELETE FROM "local_group_default_T_mobileapps_lead".data WHERE "_domain" = 'www.wikidata.org' AND key = 'Q27336022';
18DELETE FROM "local_group_default_T_mobileapps_lead".data WHERE "_domain" = 'www.wikidata.org' AND key = 'Q27336098';
19DELETE FROM "local_group_wikipedia_T_parsoid_dataW4ULtxs1oMqJ".data WHERE "_domain" = 'en.wikipedia.org' AND key = 'User:Cyde/List_of_candidates_for_speedy_deletion/Subpage';
20DELETE FROM "local_group_wikipedia_T_parsoid_html".data WHERE "_domain" = 'ru.wikipedia.org' AND key = 'Википедия:Список_Википедий/Table';
21DELETE FROM "local_group_default_T_mobileapps_lead".data WHERE "_domain" = 'www.wikidata.org' AND key = 'Q27336831';
22DELETE FROM "local_group_wikipedia_T_parsoid_dataW4ULtxs1oMqJ".data WHERE "_domain" = 'fr.wikipedia.org' AND key = 'Projet:Cinéma/Articles_récents';
23DELETE FROM "local_group_wikipedia_T_parsoid_html".data WHERE "_domain" = 'ru.wikipedia.org' AND key = 'Википедия:Список_Википедий/TableBig';

Generated from the above spreadsheet using:

$ awk -F ',' '{ print $1; }' report.csv | sed "s/^\(local_group_.\+\)\/data:\([.[:alnum:]]\+\):\(.\+\)$/DELETE FROM \"\1\".data WHERE \"_domain\" = \'\2\' AND key = \'\3\';/g" > deletes.cql
Eevans closed this task as Resolved.Oct 27 2016, 9:39 PM

Done.

Note that when deleting from mobileapps_lead, one should delete the corresponding record in mobileapps_remaining as well. But these deletions are all for wikidata, so no harm done here :)

Eevans added a comment.Nov 1 2016, 4:51 PM

Note that when deleting from mobileapps_lead, one should delete the corresponding record in mobileapps_remaining as well. But these deletions are all for wikidata, so no harm done here :)

Auh, right; Good point!